Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 987330 - cinder: if illegal id is given for 'cinder snapshot-list --volume-id' no error is given
Summary: cinder: if illegal id is given for 'cinder snapshot-list --volume-id' no erro...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: RHOS Maint
QA Contact: Haim
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-23 09:18 UTC by Dafna Ron
Modified: 2016-04-26 22:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-11 09:07:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dafna Ron 2013-07-23 09:18:20 UTC
Description of problem:

if I run cinder snapshot-list --volume-id with id which is not in the id length instead of getting an error we simply get empty results. 

Version-Release number of selected component (if applicable):

openstack-cinder-2013.1.2-3.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. create a snapshot for a volume 
2. run: cinder snapshot-list --volume-id <volumeID>
3. run: cinder snapshot-list --volume-id <name/ID with missing digits> 

Actual results:

instead of giving an error for id being illegal we have no results shown

Expected results:

if you give ID which is less than the normal length we should fail with error

Additional info:

[root@opens-vdsb ~(keystone_admin)]# cinder snapshot-list --volume-id e8850125-6179-4083-89fd-84461a85d1c1
+--------------------------------------+--------------------------------------+--------+--------------+------+
|                  ID                  |              Volume ID               | Status | Display Name | Size |
+--------------------------------------+--------------------------------------+--------+--------------+------+
| 7039d68f-e2c5-470b-a0f9-8592b72b155a | e8850125-6179-4083-89fd-84461a85d1c1 | error  |  snap_snap   |  10  |
+--------------------------------------+--------------------------------------+--------+--------------+------+
[root@opens-vdsb ~(keystone_admin)]# cinder snapshot-list --volume-id e8850125-6179-4083-89fd-84461a
[root@opens-vdsb ~(keystone_admin)]# cinder snapshot-list --volume-id e8850125-6179


Note You need to log in before you can comment on or make changes to this bug.